
UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.12 (192.168.1.12)', LOCKGRANTED = TIMESTAMP('2019-10-01 19:37:42.951') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_ACTION_TYPE_LINK (ID_ VARCHAR(255) NOT NULL, ACTION_INSTANCE_ID_ VARCHAR(255) NOT NULL, TYPE_ VARCHAR(255) NOT NULL, LINK_VALUE_ VARCHAR(255), CONSTRAINT PK_FLW_ACTION_TYP PRIMARY KEY (ID_), CONSTRAINT FK_ACT_TYPE_LINK_ACT_INST FOREIGN KEY (ACTION_INSTANCE_ID_) REFERENCES FLW_ACTION_INSTANCE(ID_));

CREATE INDEX IDX_ACT_TYPE_LINK_ACT_INST ON FLW_ACTION_TYPE_LINK(ACTION_INSTANCE_ID_);

INSERT INTO FLW_AD_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14', 'flowable', 'com/flowable/action/db/liquibase/flowable-action-db-changelog.xml', CURRENT TIMESTAMP, 14, '7:e45798660148d658dcd04d47a4d78767', 'createTable tableName=FLW_ACTION_TYPE_LINK; createIndex indexName=IDX_ACT_TYPE_LINK_ACT_INST, tableName=FLW_ACTION_TYPE_LINK', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951463119');

UPDATE FLW_AD_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

