
CREATE TABLE FLW_AU_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED SMALLINT NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DBCHGLOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_AU_DATABASECHANGELOGLOCK;

INSERT INTO FLW_AU_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_AU_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = TIMESTAMP('2019-03-26 21:16:25.391') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_AU_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_AUDIT_INSTANCE (ID_ VARCHAR(255) NOT NULL, AUDIT_DEFINITION_ID_ VARCHAR(255), CREATION_TIME_ TIMESTAMP, CREATOR_ID_ VARCHAR(255), EXTERNAL_ID_ VARCHAR(255), TYPE_ VARCHAR(255), SUB_TYPE_ VARCHAR(255), SCOPE_DEFINITION_ID_ VARCHAR(255), SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(255), PAYLOAD_ CLOB, TENANT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_AUDIT_INST PRIMARY KEY (ID_));

INSERT INTO FLW_AU_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', CURRENT TIMESTAMP, 1, '7:aaa086cb017579252677856dfb79b6a7', 'createTable tableName=FLW_AUDIT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631385474');

CREATE INDEX FLW_IDX_AUDIT_INST_DEF ON FLW_AUDIT_INSTANCE(AUDIT_DEFINITION_ID_);

CREATE INDEX FLW_IDX_AUDIT_INST_TYPE ON FLW_AUDIT_INSTANCE(TYPE_);

CREATE INDEX FLW_IDX_AUDIT_INST_SCOPE ON FLW_AUDIT_INSTANCE(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX FLW_IDX_AUDIT_INST_CREATE ON FLW_AUDIT_INSTANCE(CREATION_TIME_);

INSERT INTO FLW_AU_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', CURRENT TIMESTAMP, 2, '7:698e1206d862b3398091ab054fd2c615', 'createIndex indexName=FLW_IDX_AUDIT_INST_DEF, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_TYPE, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_SCOPE, tableName=FLW_AUDIT_INSTANCE; createIndex inde...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631385474');

UPDATE FLW_AU_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

