
CREATE TABLE FLW_PLC_DATABASECHANGELOGLOCK (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_FLW_PLC_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_PLC_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PLC_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, FALSE);

UPDATE FLW_PLC_DATABASECHANGELOGLOCK SET LOCKED = TRUE, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = '2019-08-20 19:53:34.044' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE FLW_PLC_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_COMMENT (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, CONTENT_ CLOB, SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(64), USER_ID_ VARCHAR(255), CREATED_ TIMESTAMP, UPDATED_ TIMESTAMP, TENANT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_COMMENT PRIMARY KEY (ID_));

CREATE INDEX IDX_COMMENT_SCOPE_ID ON FLW_COMMENT(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX IDX_COMMENT_USER_ID ON FLW_COMMENT(USER_ID_);

INSERT INTO FLW_PLC_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/comment/db/liquibase/flowable-comment-db-changelog.xml', NOW(), 1, '7:1c71c056776a8fdab1567181196ed29c', 'createTable tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_SCOPE_ID, tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_USER_ID, tableName=FLW_COMMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '6323614065');

UPDATE FLW_PLC_DATABASECHANGELOGLOCK SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

