

UPDATE [FLW_DO_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.10.1 (192.168.10.1)', [LOCKGRANTED] = '2019-06-05T23:00:02.827' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_DO_SCHEMA_DEFINITION] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [KEY_] [nvarchar](128), [DEPLOYMENT_ID_] [nvarchar](255) NOT NULL, [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_DO_SCHEMA_DEFINITION_TENANT_ID_] DEFAULT '', [VERSION_] [int], [RESOURCE_NAME_] [nvarchar](4000), [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), CONSTRAINT [PK_DO_SCHEMA_DEFINITIONS] PRIMARY KEY ([ID_]))

ALTER TABLE [FLW_DO_SCHEMA_DEFINITION] ADD CONSTRAINT [FK_DO_SCHEMA_DEF_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [FLW_DATAOBJECT_DEPLOYMENT] ([ID_])

CREATE NONCLUSTERED INDEX IDX_DO_SCHEMA_DEF_DEPLOYMENT ON [FLW_DO_SCHEMA_DEFINITION]([DEPLOYMENT_ID_])

CREATE UNIQUE NONCLUSTERED INDEX FLW_IDX_DO_SCHEMA_DEF_UNIQ ON [FLW_DO_SCHEMA_DEFINITION]([KEY_], [VERSION_], [TENANT_ID_])

INSERT INTO [FLW_DO_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', GETDATE(), 3, '7:4fab47a2c0ab81269b34f08ccad42687', 'createTable tableName=FLW_DO_SCHEMA_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DO_SCHEMA_DEFINITION, constraintName=FK_DO_SCHEMA_DEF_DEPLOYMENT, referencedTableName=FLW_DATAOBJECT_DEPLOYMENT; createIndex indexName=IDX_DO_SCHEMA_DEF_DEPL...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768403252')

UPDATE [FLW_DO_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

