

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = to_timestamp('2019-06-05 20:56:03.098', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_DO_SCHEMA_DEFINITION (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR2(128), DEPLOYMENT_ID_ VARCHAR2(255) NOT NULL, TENANT_ID_ VARCHAR2(64) DEFAULT '', VERSION_ INTEGER, RESOURCE_NAME_ VARCHAR2(4000), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(64), CONSTRAINT PK_DO_SCHEMA_DEFINITIONS PRIMARY KEY (ID_));

ALTER TABLE FLW_DO_SCHEMA_DEFINITION ADD CONSTRAINT FK_DO_SCHEMA_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_DATAOBJECT_DEPLOYMENT (ID_);

CREATE INDEX IDX_DO_SCHEMA_DEF_DEPLOYMENT ON FLW_DO_SCHEMA_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX FLW_IDX_DO_SCHEMA_DEF_UNIQ ON FLW_DO_SCHEMA_DEFINITION(KEY_, VERSION_, TENANT_ID_);

INSERT INTO FLW_DO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', SYSTIMESTAMP, 3, '7:b91339d61b05e175afccde06b1c97b1b', 'createTable tableName=FLW_DO_SCHEMA_DEFINITION; addForeignKeyConstraint baseTableName=FLW_DO_SCHEMA_DEFINITION, constraintName=FK_DO_SCHEMA_DEF_DEPLOYMENT, referencedTableName=FLW_DATAOBJECT_DEPLOYMENT; createIndex indexName=IDX_DO_SCHEMA_DEF_DEPL...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768163432');

UPDATE FLW_DO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

