

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.10.1 (192.168.10.1)', [LOCKGRANTED] = '2019-06-05T23:00:30.356' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE NONCLUSTERED INDEX IDX_ENGAGE_USR_FILTER ON [FLW_ENGAGE_CONVERSATION_STATUS]([USER_ID_], [FILTER_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('17', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 17, '7:b6077e928b3b1951137e345be04f9c69', 'createIndex indexName=IDX_ENGAGE_USR_FILTER, tableName=FLW_ENGAGE_CONVERSATION_STATUS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768430767')

ALTER TABLE [FLW_ENGAGE_MESSAGE] ADD [REPLY_TO_MESSAGE_ID_] [nvarchar](64)

ALTER TABLE [FLW_ENGAGE_TEMP_MESSAGE] ADD [REPLY_TO_MESSAGE_ID_] [nvarchar](64)

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('18', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 18, '7:49ed6c16f6d83dfeb6785dfe516bf000', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768430767')

CREATE TABLE [FLW_ENGAGE_REACTION] ([ID_] [nvarchar](64) NOT NULL, [MESSAGE_ID_] [nvarchar](64) NOT NULL, [USER_ID_] [nvarchar](64) NOT NULL, [REACTION_] [nvarchar](MAX) NOT NULL, CONSTRAINT [PK_ENGAGE_REACTION] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ENGAGE_REACTION_MESSAGE] FOREIGN KEY ([MESSAGE_ID_]) REFERENCES [FLW_ENGAGE_MESSAGE]([ID_]) ON DELETE CASCADE)

CREATE NONCLUSTERED INDEX FLW_IDX_REACTION_MSG ON [FLW_ENGAGE_REACTION]([MESSAGE_ID_])

INSERT INTO [FLW_ENG_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('19', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', GETDATE(), 19, '7:8597ce3189b5efb8f9fd115e60788afe', 'createTable tableName=FLW_ENGAGE_REACTION; createIndex indexName=FLW_IDX_REACTION_MSG, tableName=FLW_ENGAGE_REACTION', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768430767')

UPDATE [FLW_ENG_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

